package com.miaxis.area.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.area.mapper.AreaInfoMapper;
import com.miaxis.area.domain.AreaInfo;
import com.miaxis.area.service.IAreaInfoService;

/**
 * 地区Service业务层处理
 *
 * @author miaxis
 * @date 2022-03-14
 */
@Service
public class AreaInfoServiceImpl extends ServiceImpl<AreaInfoMapper, AreaInfo> implements IAreaInfoService {
    @Autowired
    private AreaInfoMapper areaInfoMapper;

    /**
     * 查询地区列表
     *
     * @param areaInfo 地区
     * @return 地区
     */
    @Override
    public List<AreaInfo> selectAreaInfoList(AreaInfo areaInfo){
        return areaInfoMapper.selectAreaInfoList(areaInfo);
    }
}
