package com.miaxis.icon.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.icon.mapper.IconCategoryMapper;
import com.miaxis.icon.domain.IconCategory;
import com.miaxis.icon.service.IIconCategoryService;

/**
 * 题目图标Service业务层处理
 *
 * @author miaxis
 * @date 2022-08-02
 */
@Service
public class IconCategoryServiceImpl extends ServiceImpl<IconCategoryMapper, IconCategory> implements IIconCategoryService {
    @Autowired
    private IconCategoryMapper iconCategoryMapper;

    /**
     * 查询题目图标列表
     *
     * @param iconCategory 题目图标
     * @return 题目图标
     */
    @Override
    public List<IconCategory> selectIconCategoryList(IconCategory iconCategory){
        return iconCategoryMapper.selectIconCategoryList(iconCategory);
    }
}
