package com.miaxis.question.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 考试取题对象 t_app_exam_rule
 *
 * @author miaxis
 * @date 2022-05-23
 */
@Data
@TableName("t_app_exam_rule_new")
@ApiModel(value = "TAppExamRuleNew", description = "考试取题对象 t_app_exam_rule_new")
public class TAppExamRuleNew extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableField("id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 车型 */
    @Excel(name = "车型")
    @TableField("gs")
    @ApiModelProperty(value = "车型")
    private String gs;

    /** 科目 */
    @Excel(name = "科目")
    @TableField("kemu")
    @ApiModelProperty(value = "科目")
    private Integer kemu;

    /** 章节ID */
    @Excel(name = "章节ID")
    @TableField("chapter_id")
    @ApiModelProperty(value = "章节ID")
    private Integer chapterId;

    /** 总题库 */
    @Excel(name = "总题库")
    @TableField("total_count")
    @ApiModelProperty(value = "总题库")
    private Integer totalCount;

    /** 判断题数 */
    @Excel(name = "判断题数")
    @TableField("judge_count")
    @ApiModelProperty(value = "判断题数")
    private Integer judgeCount;

    /** 选择题数 */
    @Excel(name = "选择题数")
    @TableField("choice_count")
    @ApiModelProperty(value = "选择题数")
    private Integer choiceCount;

    /** 多择题数 */
    @Excel(name = "多择题数")
    @TableField("multiple_choice_count")
    @ApiModelProperty(value = "多择题数")
    private Integer multipleChoiceCount;

    /** 困难题数 */
    @Excel(name = "困难题数")
    @TableField("difficult_count")
    @ApiModelProperty(value = "困难题数")
    private Integer difficultCount;

    /** 地区编号 */
    @Excel(name = "地区编号")
    @TableField("areacode")
    @ApiModelProperty(value = "地区编号")
    private Integer areacode;

    /** 城市ID */
    @Excel(name = "城市ID")
    @TableField("city_id")
    @ApiModelProperty(value = "城市ID")
    private Integer cityId;


}
