package com.miaxis.question.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 题库对象 question_info
 *
 * @author miaxis
 * @date 2021-10-20
 */
@Data
@TableName("question_info")
@ApiModel(value = "QuestionInfo", description = "题库对象 question_info")
public class QuestionInfoNewDTO extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /**  主键 */
    @ApiModelProperty(value = " 主键")
    private Long id;

    /** 在所有题目中的序号 */
    @ApiModelProperty(value = "在所有题目中的序号")
    private Long number;

    /** 正确答案 */
    @ApiModelProperty(value = "正确答案")
    private String answer;


    /** 题目 */
    @ApiModelProperty(value = "题目")
    private String issue;

    /** 答案选项 */
    @ApiModelProperty(value = "答案选项")
    private String opts;


    /** 题目类型 */
    @ApiModelProperty(value = "题目类型 1判断，2选择，3多选")
    private Integer questionType;


    /** 科目 */
    @ApiModelProperty(value = "科目: 科目一：1;  科目二:2; 科目三:3  科目四：4")
    private String subject;

    /** 车型 */
    @ApiModelProperty(value = "车型 小车：cart;客车：bus;货车：truck; 摩托车:mtc")
    private String model;

    /** 分类 */
    @ApiModelProperty(value = "分类")
    private String columnAll;

    /** 章节ID  */
    @ApiModelProperty(value = "章节ID")
    private Integer chapterId;

    /**
     * 难度等级1-5
     */
    @ApiModelProperty(value = "分类字段名",hidden = true)
    private String diffDegree;


    /**
     * 是否是新规题
     */
    @ApiModelProperty(value = "是否是新规题 0否 1是",hidden = true)
    private Integer isNew;


}
