package com.miaxis.question.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.question.domain.QuestionThreeWrong;
import com.miaxis.question.dto.QuestionThreeWrongListDTO;
import com.miaxis.question.dto.QuestionWrongListDTO;
import com.miaxis.question.mapper.QuestionThreeWrongMapper;
import com.miaxis.question.service.IQuestionThreeWrongService;
import com.miaxis.question.vo.QuestionWrongIdDateVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * wrongService业务层处理
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Service
public class QuestionThreeWrongServiceImpl extends ServiceImpl<QuestionThreeWrongMapper, QuestionThreeWrong> implements IQuestionThreeWrongService {

    @Autowired
    private QuestionThreeWrongMapper questionThreeWrongMapper;


    @Override
    public List<QuestionThreeWrong> selectQuestionThreeWrongList(QuestionThreeWrongListDTO questionThreeWrong) {
        return questionThreeWrongMapper.selectQuestionThreeWrongList(questionThreeWrong);
    }

    @Override
    public List<QuestionWrongIdDateVo> selectThreeWrongIdByUserId(QuestionThreeWrongListDTO dto) {
        return questionThreeWrongMapper.selectThreeWrongIdByUserId(dto);
    }

    @Override
    public Integer selectThreeWrongCountByUserId(QuestionWrongListDTO dto) {
        return questionThreeWrongMapper.selectThreeWrongCountByUserId(dto);
    }
}
