package com.miaxis.question.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.question.domain.TAppExamRule;
import com.miaxis.question.domain.TAppExamRuleNew;
import com.miaxis.question.mapper.TAppExamRuleMapper;
import com.miaxis.question.service.ITAppExamRuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 考试取题Service业务层处理
 *
 * @author miaxis
 * @date 2022-05-23
 */
@Service
public class TAppExamRuleServiceImpl extends ServiceImpl<TAppExamRuleMapper, TAppExamRule> implements ITAppExamRuleService {

    @Autowired
    private TAppExamRuleMapper tAppExamRuleMapper;

    /**
     * 查询考试取题列表
     *
     * @param tAppExamRule 考试取题
     * @return 考试取题
     */
    @Override
    public List<TAppExamRule> selectTAppExamRuleList(TAppExamRule tAppExamRule){
        return tAppExamRuleMapper.selectTAppExamRuleList(tAppExamRule);
    }


    /**
     * 查询考试取题列表
     *
     * @param tAppExamRuleNew 考试取题
     * @return 考试取题
     */
    @Override
    public List<TAppExamRuleNew> selectTAppExamRuleNewList(TAppExamRuleNew tAppExamRuleNew){
        return tAppExamRuleMapper.selectTAppExamRuleNewList(tAppExamRuleNew);
    }

}
