package com.miaxis.score.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 模拟考成绩对象 score_info
 *
 * @author miaxis
 * @date 2021-08-23
 */
@Data
@TableName("score_info")
@ApiModel(value = "ScoreInfo", description = "模拟考成绩对象 score_info")
public class ScoreInfo extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 考试车型 */
    @Excel(name = "考试车型")
    @TableField("type")
    @ApiModelProperty(value = "考试车型")
    private String type;

    /** 考试科目 */
    @Excel(name = "考试科目")
    @TableField("kskm")
    @ApiModelProperty(value = "考试科目")
    private String kskm;

    /** 分数 */
    @Excel(name = "分数")
    @TableField("score")
    @ApiModelProperty(value = "分数")
    private Long score;


    /** 终端类型 1:H5  2:PC端 */
    @Excel(name = "终端类型 1:H5  2:PC端")
    @TableField("device_type")
    @ApiModelProperty(value = "终端类型 1:H5  2:PC端")
    private Integer deviceType;



}
