package com.miaxis.traffic.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.traffic.mapper.TrafficSignClassMapper;
import com.miaxis.traffic.domain.TrafficSignClass;
import com.miaxis.traffic.service.ITrafficSignClassService;

/**
 * 标示分类Service业务层处理
 *
 * @author miaxis
 * @date 2023-05-30
 */
@Service
public class TrafficSignClassServiceImpl extends ServiceImpl<TrafficSignClassMapper, TrafficSignClass> implements ITrafficSignClassService {
    @Autowired
    private TrafficSignClassMapper trafficSignClassMapper;

    /**
     * 查询标示分类列表
     *
     * @param trafficSignClass 标示分类
     * @return 标示分类
     */
    @Override
    public List<TrafficSignClass> selectTrafficSignClassList(TrafficSignClass trafficSignClass){
        return trafficSignClassMapper.selectTrafficSignClassList(trafficSignClass);
    }
}
